## javax.persistence.metamodel
Interface CollectionAttribute<X,E>

All Superinterfaces:
  Attribute<X,java.util.Collection<E>>, Bindable<E>, PluralAttribute<X,java.util.Collection<E>,E>

    public interface CollectionAttribute<X,E>

extends PluralAttribute<X,java.util.Collection<E>,E>

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Method Summary

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getCollectionType, getElementType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

Methods inherited from interface javax.persistence.metamodel.Bindable
`getBindableJavaType, getBindableType`